Biblioteka 2.0 on Facebook
Biblioteka 2.0 Strona Główna

Biblioteka 2.0
Forum społeczności czytelników i bibliotekarzy cyfrowych

FAQFAQ  SzukajSzukaj  UżytkownicyUżytkownicy  GrupyGrupy  StatystykiStatystyki
RejestracjaRejestracja  ZalogujZaloguj  AlbumAlbum  DownloadDownload

Poprzedni temat «» Następny temat
Gdy nie startuje dLibra (problem z upgradem Javy)
Autor Wiadomość
Wojtek 
Wojciech Kowalewski


Dołączył: 28 Lis 2007
Posty: 89
Skąd: WBP Kraków
Poziom: 8
HP: 0/159
 0%
MP: 76/76
 100%
EXP: 8/19
 42%
Wysłany: 2014-01-16, 12:44   Gdy nie startuje dLibra (problem z upgradem Javy)

Jeśli nie startuje Wam dLibra, to weźcie pod uwagę, że przy aktualizacji Javy
zacieśnili bezpieczeństwo. Przypuszczalnie aplikacja dlibry nie jest podpisana
publicznym certyfikatem, tylko samopodpisana (self-signed).

W efekcie blokują się aplikacje samopodpisane.



Rozwiązaniem może być zmniejszenie "security level" z "high" (recommended) na "medium"

dlibra2.jpg
Plik ściągnięto 122 raz(y) 60.21 KB

dlibra-problem.jpg
Plik ściągnięto 125 raz(y) 47.19 KB

_________________
http://mbc.malopolska.pl/
 
     
sk 
sk

Dołączył: 19 Lut 2007
Posty: 292
Skąd: KPBC, Toruń
Poziom: 15
HP: 0/488
 0%
MP: 233/233
 100%
EXP: 35/35
 100%
Wysłany: 2014-01-16, 15:11   

Wojtek napisał/a:
Rozwiązaniem może być zmniejszenie "security level" z "high" (recommended) na "medium"

Można też dodać stronę do zaufanych (klik na "Edit Site List"). Działa nawet przy ustawieniu Security Level -> Very High i nie wiążę się z globalnym obniżaniem poprzeczki dla wszelkich aplikacji.
 
     
mbrodacki 


Wiek: 28
Dołączył: 24 Cze 2009
Posty: 10
Skąd: MBP Słupsk
Poziom: 2
HP: 0/30
 0%
MP: 14/14
 100%
EXP: 0/8
 0%
Wysłany: 2014-01-17, 07:32   

Nie wiem, czy zauważyliście ale również czytelnicy będą dostawali taki komunikat jeśli uruchomią publikację zabezpieczoną... lub obojętnie jaką publikację ale poprzez aplet javy. Ciężko będzie wytłumaczyć Internaucie, iż ma sobie dodać do wyjątków naszą stronę "bo ona jest bezpieczna" lub obniżyć globalny poziom bezpieczeństwa.
_________________
Witaj Gość czy byłeś już dzisiaj na stronie: Bałtyckiej Biblioteki Cyfrowej??
 
 
     
sk 
sk

Dołączył: 19 Lut 2007
Posty: 292
Skąd: KPBC, Toruń
Poziom: 15
HP: 0/488
 0%
MP: 233/233
 100%
EXP: 35/35
 100%
Wysłany: 2014-01-17, 08:52   

mbrodacki napisał/a:
Nie wiem, czy zauważyliście ale również czytelnicy będą dostawali taki komunikat jeśli uruchomią publikację zabezpieczoną... lub obojętnie jaką publikację ale poprzez aplet javy. Ciężko będzie wytłumaczyć Internaucie, iż ma sobie dodać do wyjątków naszą stronę "bo ona jest bezpieczna" lub obniżyć globalny poziom bezpieczeństwa.

No fakt. I co teraz? Próbować podpisać applet własnym certyfikatem? (Czy to w ogóle zgodne z licencją?) Czekać aż team dLibry się zreflektuje?

Można też na sprawę spojrzeć z optymizmem - applet i tak obsysa na różne sposoby, więc sytuacja niewiele się zmienia na gorsze ;-)
 
     
Wojtek 
Wojciech Kowalewski


Dołączył: 28 Lis 2007
Posty: 89
Skąd: WBP Kraków
Poziom: 8
HP: 0/159
 0%
MP: 76/76
 100%
EXP: 8/19
 42%
Wysłany: 2014-01-19, 21:01   

Wygląda na to, że medium security javy pozwala na uruchamianie aplikacji self-signed
http://www.java.com/en/do...ava_blocked.xml

Z drugiej strony aplikacje jnlp można podpisywać certyfikatami, więc można je pobrać z innego źródła i zweryfikować (np. Verisign), a następnie obliczyć samemu podpisaną sumę kontrolną uruchamianej aplikacji. Hmm...
_________________
http://mbc.malopolska.pl/
 
     
mbrodacki 


Wiek: 28
Dołączył: 24 Cze 2009
Posty: 10
Skąd: MBP Słupsk
Poziom: 2
HP: 0/30
 0%
MP: 14/14
 100%
EXP: 0/8
 0%
Wysłany: 2014-01-19, 22:50   

Dostałem odpowiedź z PCSS-ów, że problem zostanie rozwiązany przy okazji przyszłej aktualizacji dLibry - być może jeszcze w przyszłym tygodniu. Wiem, że będzie to mała aktualizacja do 5.7.1 ale nie znam sposobu rozwiązania - być może będzie narzędzie do podpisania posiadanym certyfikatem przez BC lub może PCSS globalnie to zrobi jako producent oprogramowania?
_________________
Witaj Gość czy byłeś już dzisiaj na stronie: Bałtyckiej Biblioteki Cyfrowej??
 
 
     
Blazej 

Dołączył: 17 Lut 2014
Posty: 1
Poziom: 1
HP: 0/18
 0%
MP: 8/8
 100%
EXP: 0/9
 0%
Wysłany: 2014-02-17, 09:09   

Problem został już rozwiązany i od wersji 5.7.1 nie powinien występować. Obecnie jest dostępna wersja 5.7.2.
_________________
Zespół Bibliotek Cyfrowych PCSS, http://dl.psnc.pl
 
     
Jerzy Witczak

Dołączył: 22 Lis 2007
Posty: 47
Skąd: Wrocław
Poziom: 5
HP: 0/81
 0%
MP: 38/38
 100%
EXP: 9/13
 69%
Wysłany: 2014-02-17, 15:12   

To super! ale na stronie głównej dLibry nie było informacji o wypuszczeniu wersji 5.7.1 :-( Dobrze, że już jest 5.7.2 ;-)
_________________
ks. Jerzy Witczak
 
     
chal45oye
[Usunięty]

Poziom: 0
HP: 0/0
 0%
MP: 0/0
 0%
EXP: 0/0
 100%
Wysłany: 2014-11-09, 12:50   

Z drugiej strony aplikacje jnlp można podpisywać certyfikatami, więc można je pobrać z innego źródła i zweryfikować (np. Verisign), a następnie obliczyć samemu podpisaną sumę kontrolną uruchamianej aplikacji. Hmm...
 
     
Wyświetl posty z ostatnich:   
Ten temat jest zablokowany bez możliwości zmiany postów lub pisania odpowiedzi
Nie możesz pisać nowych tematów
Nie możesz odpowiadać w tematach
Nie możesz zmieniać swoich postów
Nie możesz usuwać swoich postów
Nie możesz głosować w ankietach
Nie możesz załączać plików na tym forum
Możesz ściągać załączniki na tym forum
Dodaj temat do Ulubionych
Wersja do druku

Skocz do:  

Powered by phpBB modified by Przemo © 2003 phpBB Group
Biblioteka 2.0 : Forum społeczności czytelników i bibliotekarzy cyfrowych [Dokument elektroniczny] - Tryb dostępu http://forum.biblioteka20.pl
Korzystanie z portalu oznacza akceptację naszej polityki prywatności.
Strona wygenerowana w 0.08 sekundy. Zapytań do SQL: 11